Name:		minizip1.2
Summary:	Library for manipulation with .zip archives
Version:	1.2.11
Release:	24%{?dist}
License:	zlib
URL:		http://www.zlib.net/
Source:		http://www.zlib.net/zlib-%{version}.tar.xz
# https://github.com/madler/zlib/pull/210
Patch0:		zlib-1.2.5-minizip-fixuncrypt.patch
BuildRequires:	autoconf, automake, libtool
BuildRequires:	zlib-devel >= %{version}
BuildRequires:	gcc
Provides:	minizip-compat = %{version}-%{release}

%description
Minizip is a library for manipulation with files from .zip archives.
This package contains the old minizip API, as bundled with zlib.

%package devel
Summary:	Development files for the minizip library
Requires:	minizip1.2%{?_isa} = %{version}-%{release}
Requires:	zlib-devel%{?_isa} >= %{version}
Conflicts:	minizip-devel
Provides:	minizip-compat-devel = %{version}-%{release} 

%description devel
This package contains the libraries and header files needed for
developing applications which use the old minizip API.

%prep
%setup -q -n zlib-%{version}
%patch0 -p1 -b .fixuncrypt

%build
export CFLAGS="$RPM_OPT_FLAGS"
%ifarch ppc64
CFLAGS+=" -O3"
%endif
%ifarch aarch64
CFLAGS+=" -DARM_NEON -O3"
%endif
%ifarch s390 s390x
CFLAGS+=" -DDFLTCC"
%endif

export MKFLAGS=""
%ifarch s390 s390x
MKFLAGS+="OBJA=dfltcc.o PIC_OBJA=dfltcc.lo"
%endif

export LDFLAGS="$LDFLAGS -Wl,-z,relro -Wl,-z,now"

cd contrib/minizip
autoreconf --install
%configure --enable-static=no
%make_build

%install
%make_install -C contrib/minizip
# https://github.com/madler/zlib/pull/229
rm $RPM_BUILD_ROOT%_includedir/minizip/crypt.h

find $RPM_BUILD_ROOT -name '*.la' -delete

%files
%license README
%doc contrib/minizip/MiniZip64_info.txt contrib/minizip/MiniZip64_Changes.txt
%{_libdir}/libminizip.so.*

%files devel
%dir %{_includedir}/minizip
%{_includedir}/minizip/*.h
%{_libdir}/libminizip.so
%{_libdir}/pkgconfig/minizip.pc

%changelog
* Fri Jul 07 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 1.2.11-24
- Rebuilt for MSVSphere 9.2

* Wed Nov  6 2019 Tom Callaway <spot@fedoraproject.org> - 1.2.11-24
- add dist tag

* Wed Nov  6 2019 Tom Callaway <spot@fedoraproject.org> - 1.2.11-23
- add BR: gcc

* Tue Nov  5 2019 Tom Callaway <spot@fedoraproject.org> - 1.2.11-22
- rename to minizip1.2, add provides for minizip-compat naming

* Fri Nov  1 2019 Tom Callaway <spot@fedoraproject.org> - 1.2.11-21
- standalone minizip-compat package for epel8
